Bug 727397 - [Indic] Rupee Sign is shown as Unicode Value instead of Symbol of it.
[Indic] Rupee Sign is shown as Unicode Value instead of Symbol of it.
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gucharmap (Show other bugs)
6.2
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Kalev Lember
Desktop QE
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 23:11 EDT by A S Alam
Modified: 2016-08-01 05:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF of Indian English Layout (28.40 KB, application/pdf)
2011-08-01 23:11 EDT, A S Alam
no flags Details
gucharmap screenshot (74.17 KB, image/png)
2011-08-01 23:36 EDT, A S Alam
no flags Details

  None (edit)
Description A S Alam 2011-08-01 23:11:35 EDT
Created attachment 516240 [details]
PDF of Indian English Layout

Description of problem:
Rupee Sign is shown as Unicode Value [U20B9]instead of Symbol [₹]of it.

Version-Release number of selected component (if applicable):
xkeyboard-config-2.3-1.el6.noarch.rpm

How reproducible:
every-time

Steps to Reproduce:
1. select Indian English Keymap with Rupee Sign
2. Select Show Keyboard Layout
3. Check Number 4 key
  
Actual results:
it is showing unicode value (U20b9)

Expected results:
it should use Sign (₹)

Additional info:
Print (pdf) of layout attached
Comment 2 A S Alam 2011-08-01 23:36:25 EDT
Created attachment 516248 [details]
gucharmap screenshot
Comment 3 A S Alam 2011-08-01 23:36:51 EDT
more info
- font has glyph for it (you can input in gedit)
- gucharmap is not showing any information (attached #2)
Comment 4 A S Alam 2011-08-01 23:43:35 EDT
this issue also exist for RHEL 5.7 build (xkeyboard-config-0.8.10)
Comment 5 Jens Petersen 2011-08-02 05:54:14 EDT
Moving to glib2 for now since this seems to affect both
gnome-keyboard-properties and gucharmap.
Comment 6 RHEL Product and Program Management 2011-08-02 06:08:39 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 Jens Petersen 2011-08-08 01:03:35 EDT
I guess it would be nice to verify if backport newer unicode data
from later glib2 fixes this issue.
Comment 8 Matthias Clasen 2011-12-07 16:19:38 EST
It won't. gucharmap ships with its own copy of the unicode data.
Comment 9 Matthias Clasen 2011-12-15 10:41:21 EST
Moving this back to gucharmap.
Comment 11 Jens Petersen 2012-02-09 21:02:58 EST
I think another bug needs to be cloned for xkeyboard-config.
Comment 12 Suzanne Yeghiayan 2012-02-14 18:12:11 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.